MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028105Community[OCCT] OCCT:Samplespublic2016-11-15 08:102016-12-09 16:39
ReporterVico Liang 
Assigned Toapn 
PriorityhighSeveritycrash 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028105: HLR rendering crash in MFC sample
DescriptionThe beta release package opencascade-7.1.0-vc10-64-beta.exe will crash if open HLR rendering option. This can be reproduced in MFC samples.

It works fine in QT sample.
Steps To Reproduce1. Open MFC Visualization sample (mfc Viewer3d)
2. Click button "Cylinder" to display cylinder (5-th in the first row)
3. Click button "Hidden On" (last in the second row)
==> Application exits
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0060334)
abv (manager)
2016-11-15 09:48

Sergey, please investigate the problem
(0060531)
git (administrator)
2016-11-18 14:32

Branch CR28105 has been created by ski.

SHA-1: 09411ad4067e6603ddbb7e80dbdb3f53950147af


Detailed log of new commits:

Author: ski
Date: Fri Nov 18 14:31:58 2016 +0300

    0028105: HLR rendering crash in MFC sample
    
    User_Cylinder class was updated according to work as single object in Prs3d_Presentation.
(0060656)
ski (developer)
2016-11-22 10:49

Dear Andrey,

occt branch CR28105 contains fix to avoid crash in mfc Visual3d sample.

please review.
(0060662)
abv (manager)
2016-11-22 11:10

Reviewed, please integrate (no regular testing is needed - sample only)
(0061297)
git (administrator)
2016-12-07 11:31

Branch CR28105 has been deleted by kgv.

SHA-1: 09411ad4067e6603ddbb7e80dbdb3f53950147af

- Related Changesets
occt: master 4208cf18
Timestamp: 2016-11-18 11:31:58
Author: ski
Committer: apn
Details ] Diff ]
0028105: HLR rendering crash in MFC sample

User_Cylinder class was updated according to work as single object in Prs3d_Presentation.
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.cxx Diff ] File ]
mod - samples/mfc/standard/Common/User_Cylinder.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-15 08:10 Vico Liang New Issue
2016-11-15 08:10 Vico Liang Assigned To => kgv
2016-11-15 09:31 kgv Assigned To kgv => msv
2016-11-15 09:31 kgv Category OCCT:Visualization => OCCT:Modeling Algorithms
2016-11-15 09:48 abv Note Added: 0060334
2016-11-15 09:48 abv Assigned To msv => ski
2016-11-15 09:48 abv Priority normal => high
2016-11-15 09:48 abv Status new => assigned
2016-11-15 09:48 abv Category OCCT:Modeling Algorithms => OCCT:Samples
2016-11-15 09:48 abv Steps to Reproduce Updated View Revisions
2016-11-18 14:32 git Note Added: 0060531
2016-11-22 10:49 ski Note Added: 0060656
2016-11-22 10:49 ski Assigned To ski => abv
2016-11-22 10:49 ski Status assigned => resolved
2016-11-22 10:49 ski Steps to Reproduce Updated View Revisions
2016-11-22 11:10 abv Note Added: 0060662
2016-11-22 11:10 abv Assigned To abv => bugmaster
2016-11-22 11:10 abv Status resolved => reviewed
2016-11-22 12:25 apv Test case number => Not needed
2016-11-22 12:25 apv Status reviewed => tested
2016-11-24 15:52 apn Changeset attached => occt master 4208cf18
2016-11-24 15:52 apn Assigned To bugmaster => apn
2016-11-24 15:52 apn Status tested => verified
2016-11-24 15:52 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061297
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker